#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
#
Summary:	Java binding to the libvirt library
Summary(pl.UTF-8):	Wiązanie Javy do biblioteki libvirt
Name:		java-libvirt
Version:	0.5.2
Release:	1
License:	MIT
Group:		Libraries/Java
Source0:	https://libvirt.org/sources/java/libvirt-java-%{version}.tar.gz
# Source0-md5:	c582d8b6792ac13c8a29338a04934c1c
URL:		https://libvirt.org/
BuildRequires:	java-jna >= 3.3
BuildRequires:	jdk
BuildRequires:	jpackage-utils
BuildRequires:	libvirt-devel >= 0.8.2
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.745
Requires:	java-jna >= 3.3
Requires:	jpackage-utils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Java binding to the libvirt library.

%description -l pl.UTF-8
Wiązanie Javy do biblioteki libvirt.

%package javadoc
Summary:	Documentation for java-libvirt binding
Summary(pl.UTF-8):	Dokumentacja do wiązań java-libvirt
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
Documentation for java-libvirt binding.

%description javadoc -l pl.UTF-8
Dokumentacja do wiązań java-libvirt.

%prep
%setup -q -n libvirt-java-%{version}

%build
export JAVA_HOME="%{java_home}"

%ant build jar %{?with_javadoc:docs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

cp -p target/libvirt-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s libvirt-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/libvirt.jar

%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/libvirt-%{version}
cp -a target/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/libvirt-%{version}
ln -s libvirt-%{version} $RPM_BUILD_ROOT%{_javadocdir}/libvirt # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs libvirt-%{version} %{_javadocdir}/libvirt

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE NEWS README
%{_javadir}/libvirt-%{version}.jar
%{_javadir}/libvirt.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/libvirt-%{version}
%ghost %{_javadocdir}/libvirt
%endif
%changelog
* Tue Oct 06 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-libvirt.git;a=log;h=master

* Tue Oct 06 2020 Jakub Bogusz <qboosh@pld-linux.org> c72f44f
- updated to 0.5.2
- macros version to ensure java macros are always loaded

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> ddc3134
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Oct 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 49d7aa3
- updated to 0.5.1

* Sun Sep 22 2013 Jakub Bogusz <qboosh@pld-linux.org> beb1c74
- updated to 0.5.0

* Thu Sep 20 2012 Jakub Bogusz <qboosh@pld-linux.org> 797d7a7
- updated to 0.4.9; License is MIT

* Thu Jul 12 2012 Jakub Bogusz <qboosh@pld-linux.org> d95f1e2
- updated to 0.4.8

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> b473369
- new

